classification
Title: ElementTree/cElementTree findtext inconsistency
Type: behavior Stage:
Components: Library (Lib) Versions: Python 2.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Update ElementTree with upstream changes
View: 6472
Assigned To: effbot Nosy List: effbot, flox, gmonroe, loewis
Priority: normal Keywords:

Created on 2008-01-09 18:58 by gmonroe, last changed 2010-02-16 11:46 by flox. This issue is now closed.

Files
File name Uploaded Description Edit
etree_test.py gmonroe, 2008-01-09 18:58 a simple example demonstrating the inconsistency
Messages (5)
msg59618 - (view) Author: Grant Monroe (gmonroe) Date: 2008-01-09 18:58
cElementTree findtext seems to return None when it should return a string.
msg59620 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-01-09 19:22
Fredrik, can you take a look?
msg59621 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2008-01-09 19:35
Looks like the mechanisms used decide when to invoke the full
ElementPath machinery differs somewhat.  I've added this to the TODO
list for ET 1.3; in the meantime, my advice is "don't do that".

(adding a check for '.' to the PATHCHAR macro should fix this, I think.)
msg79561 - (view) Author: Fredrik Lundh (effbot) * (Python committer) Date: 2009-01-10 17:43
Forgot to mention that this is fixed in the cElementTree trunk (public
as of today's 1.0.6 preview release).  Will merge with Python trunk when
I find the time...
msg99396 - (view) Author: Florent Xicluna (flox) * (Python committer) Date: 2010-02-16 11:46
Should be fixed with the next upstream merge. See #6472
History
Date User Action Args
2010-02-16 11:46:13floxsetstatus: open -> closed

nosy: + flox
messages: + msg99396

superseder: Update ElementTree with upstream changes
resolution: duplicate
2009-01-10 17:43:35effbotsetmessages: + msg79561
2008-01-09 19:35:48effbotsetpriority: normal
messages: + msg59621
2008-01-09 19:22:13loewissetassignee: effbot
messages: + msg59620
nosy: + loewis, effbot
2008-01-09 18:58:07gmonroecreate